#include "Project.h"
#include <string>
#include <sstream>
#include <fstream>
#include <iostream>
#include <yaml-cpp/yaml.h>


void Project::SaveProject(std::filesystem::path path, Project& project)
{
	YAML::Emitter projectYAML;
	projectYAML << YAML::Key << "Project" << YAML::Value << "new";
	std::ofstream projectFile;

	path.append(project.Name.append(".yproj"));

	std::cout << path.u8string() << std::endl;

	projectFile.open(path.u8string());
	projectFile << projectYAML.c_str();
	projectFile.close();
}

void Project::LoadProject(std::filesystem::path path, Project& project) 
{
	std::string YAMLProject;
	std::stringstream sstream;
	std::ifstream projectFile;
	projectFile.open(path.u8string());

	sstream << projectFile.rdbuf();
	YAMLProject = sstream.str();

	projectFile.close();


	std::cout << YAMLProject << std::endl;

	
}