#pragma once
#include "Event.h"
#include "EventListener.h"
namespace YoggieEngine{
	class EventEmitter {
	public:
		void Subscribe(EventListener& subscriber);
		void Unsubscribe(EventListener& subscriber);

	protected:
		std::list<EventListener*> subscribers;
		void EmitEvent(Event& incident);

		EventEmitter();

	};
}
