#pragma once
#include <string>
#include <entt/entt.hpp>
namespace YoggieEngine {
	class Entity;
	class Scene
	{
	public:
		Scene();
		~Scene();

		Entity AddEntity(std::string name);

		entt::registry& getReg() { return m_registry; }

	private:
		entt::registry m_registry;

		friend class Entity;
	};

}
